package advJspFormProc;

import java.util.Vector;

public interface FormField
{
	// Line Format
	// type~name~label~required~multiselect~valuelist
	public void parseLine(String line);
	public String genJspForm();
	public String genJspDisp();
	public String genJavaFormBeanProperties();

	public String 	getType() ;
	public String 	getFieldName() ;
	public String 	getPropertyName() ;
	public String 	getLabel() ;
	public boolean 	getRequired() ;
	public boolean 	getMultiSelection() ;
	public Vector	getAdditionalValues() ;

	public boolean	isSimpleField();

	public String 	toString();
}
